import { post } from "@/request/axios.js";

export const getUserList = (params) => post("/user/list", params); // 档案管理-一人一档-获取人员列表

export const getUserInfo = (params) => post("/user/goEditUser", params); // 档案管理-一人一档-获取人员详情

export const getTaskListByUser = (params) =>
  post("/studytask/userlist", params); // 档案管理-一人一档-获取任务详情列表

export const getStudyTaskInfo = (params) => post("/studytask/goEdit", params); // 档案管理-一人一档-档案详情-获取任务信息

export const getCurriculums = (params) =>
  post("/studytask/getAllCourseware", params); // 档案管理-一人一档-档案详情-获取课程列表

export const getArchivesPaper = (params) =>
  post("/studytask/getArchivesPaper", params); // 档案管理-一人一档-档案详情-获取试卷

export const getSignByStudyTask = (params) =>
  post("/studytasksign/getListByStudytaskID", params); // 档案管理-一人一档-档案详情-任务人员的签字信息

export const getUserExamScoreByStudyTaskId = (params) =>
  post("/stageexam/getUserExamScoreByStudystaskId", params); // 档案管理-一人一档-档案详情-???

export const getTaskList = (params) => post("/studytask/list", params); // 档案管理-一期一档-获取任务列表
