import { post, upload } from "@/request/axios.js";

export const getConfinedSpaceList = (params) =>
  post("/confinedspace/list", params); // 受限空间作业管理列表
export const getConfinedSpaceView = (params) =>
  post("/confinedspace/goEdit", params); // 受限空间作业管理查看
export const getLedgerList = (params) => post("/limitspace/list", params); // 台账列表
export const setLedgerImport = (params) =>
  upload("/limitspace/readExcel2", params); // 台账导入
export const setLedgerAdd = (params) => post("/limitspace/add", params); // 台账添加
export const setLedgerEdit = (params) => post("/limitspace/edit", params); // 台账修改
export const setLedgerDelete = (params) => post("/limitspace/delete", params); // 台账删除
